# abstract BytePointer(BytePointerData)

#### package lime.utils

#### from BytePointerData, to BytePointerData,

Available on all platforms

### Constructor

###

`inline new (?bytes:Bytes, offset:Int = 0)`

### Methods

###

`set (?bytes:Bytes, ?bufferView:ArrayBufferView, ?buffer:ArrayBuffer, ?offset:Int):Void`

###

`toFloat32Array ():Float32Array`

###

`toFloat64Array ():Float64Array`

###

`toInt16Array ():Int16Array`

###

`toInt32Array ():Int32Array`

###

`toInt8Array ():Int8Array`

###

`toUInt16Array ():UInt16Array`

###

`toUInt32Array ():UInt32Array`

###

`toUInt8Array ():UInt8Array`

###

`toUInt8ClampedArray ():UInt8ClampedArray`

### Static methods

###

`staticfromArrayBuffer (buffer:ArrayBuffer):BytePointer`

###

`staticfromArrayBufferView (arrayBufferView:ArrayBufferView):BytePointer`

###

`staticfromBytes (bytes:Bytes):BytePointer`

###

`staticfromBytesData (bytesData:BytesData):BytePointer`

###

`staticfromFile (path:String):BytePointer`

###

`staticfromLimeBytes (bytes:LimeBytes):BytePointer`